org.appng.search.json

## Class FilterItem

- java.lang.Object
- - org.appng.search.json.FilterItem

-     public class FilterItem
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `FilterItem.DataCounter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterItem()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FilterConfig` | `getConfig()`
    `List<FilterData>` | `getData()`
    `static <ID extends Serializable,T extends Named<ID>> FilterItem` | `getFilterItem(String name, String label, String type, Iterable<T> items, Collection<ID> selectedList, FilterItem.DataCounter counter)`
    `void` | `setConfig(FilterConfig config)`
    `void` | `setData(List<FilterData> data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterItem

          public FilterItem()

  - ### Method Detail

    - #### getConfig

          public FilterConfig getConfig()

    - #### setConfig

          public void setConfig(FilterConfig config)

    - #### getData

          public List<FilterData> getData()

    - #### setData

          public void setData(List<FilterData> data)

    - #### getFilterItem

          public static <ID extends Serializable,T extends Named<ID>> FilterItem getFilterItem(String name,
                                                                                               String label,
                                                                                               String type,
                                                                                               Iterable<T> items,
                                                                                               Collection<ID> selectedList,
                                                                                               FilterItem.DataCounter counter)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.